Olympus Docs
ReferenceAPIsOry Identities APIidentity

Get all Identity Schemas

Returns a list of all identity schemas currently in use.

GET /schemas

Returns a list of all identity schemas currently in use.

Operation ID: listIdentitySchemas    Tag: identity

Query parameters

NameTypeRequiredDescription
per_pageinteger (int64)noDeprecated Items per Page DEPRECATED: Please use page_token instead. This parameter will be removed in the future. This is the number of items per page.
pageinteger (int64)noDeprecated Pagination Page DEPRECATED: Please use page_token instead. This parameter will be removed in the future. This value is currently an integer, but it is not sequential. The value is not the page number, but a reference. The next page can be any number and some numbers might return an empty list. For example, page 2 might not follow after page 1. And even if page 3 and 5 exist, but page 4 might not exist. The first page can be retrieved by omitting this parameter. Following page pointers will be returned in the Link header.
page_sizeinteger (int64)noPage Size This is the number of items per page to return. For details on pagination please head over to the pagination documentation.
page_tokenstringnoNext Page Token The next page token. For details on pagination please head over to the pagination documentation.

Responses

StatusDescriptionBody
200List Identity JSON Schemas Responseapplication/json, array of object
defaulterrorGenericapplication/json, object

Generated from /tmp/kratos-api.json at build time.

On this page